Name:		snd
Version:	24.3
Release:	%mkrel 1
Summary:	Sound file editor
License:	BSD
Group:		Sound
Url:		https://ccrma.stanford.edu/software/snd/
Source0:	ftp://ccrma-ftp.stanford.edu/pub/Lisp/%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Patch0:		snd-20.8-fix-portaudio-link.patch
ExclusiveArch:	%ix86 x86_64
# Math
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(fftw3)
# Output audio
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(samplerate)
# GUI stuff
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	lib64gsl-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	motif-devel
# Encoders & Co.
BuildRequires:	flac
BuildRequires:	mpg123
BuildRequires:	mpg321
BuildRequires:	speex
BuildRequires:	TiMidity++
BuildRequires:	ttaenc
BuildRequires:	vorbis-tools
BuildRequires:	wavpack
BuildRequires:	libmpc-devel

%description
Snd is a free sound editor modelled loosely after Emacs and an old,
sorely-missed PDP-10 sound editor named Dpysnd.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# Fix perms
chmod 0644 s7.c

%build
%configure2_5x \
	--with-gsl \
	--with-gmp \
	--with-fftw \
	--with-alsa \
	--with-portaudio \
	--with-jack \
	--with-ladspa \
	--with-gtk \
	--with-gui

%make_build

%install
%make_install

# Provide a menu item
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# Fix perms
chmod +x %{buildroot}%{_datadir}/%{name}/grani.rb


%changelog
* Sun Apr 14 2024 tex - 24.3-1pclos2024
- new version

* Wed Mar 13 2024 tex - 24.2-1pclos2024
- new version

* Wed Jan 03 2024 tex - 24.0-1pclos2024
- new version

* Sun Dec 03 2023 tex - 23.9-1pclos2023
- new version

* Thu Oct 19 2023 tex - 23.8-1pclos2023
- new version

* Tue Sep 12 2023 tex - 23.7-1pclos2023
- new version

* Mon Aug 07 2023 tex - 23.6-1pclos2023
- new version

